echo '++++++++++++++++++++++++++++++++++++++++++++++++'
echo '+++++         LSSAE: Toy Sine          +++++'
echo '++++++++++++++++++++++++++++++++++++++++++++++++'

for seed in 0
do
  echo "Running exp with $seed"
  python main.py --gpu_ids 0 \
        --data_name ToySine \
        --data_path '/home/haohuawang/blmc/data/sine_24.pkl' \
        --num_classes 2 \
        --data_size '[1, 2]' \
        --source-domains 15 \
        --intermediate-domains 5 \
        --target-domains 4 \
        --mode train \
        --model-func Toy_Linear_FE \
        --feature-dim 512 \
        --epochs 50 \
        --iterations 200 \
        --train_batch_size 24 \
        --eval_batch_size 50 \
        --test_epoch -1 \
        --algorithm LSSAE \
        --zc-dim 20 \
        --zw-dim 20 \
        --seed $seed \
        --save_path './logs/ToySine/LSSAE' \
        --record
  echo "=================="
done




